Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
base64.h File Reference
`#include <botan/secmem.h>`
`#include <string>`

Go to the source code of this file.

## Namespaces
| Botan

## Functions
size_t | Botan::base64_decode (uint8_t output[], const char input[], size_t input_length, size_t &input_consumed, bool final_inputs, bool ignore_ws)
size_t | Botan::base64_decode (uint8_t output[], const char input[], size_t input_length, bool ignore_ws)
size_t | Botan::base64_decode (uint8_t output[], const std::string &input, bool ignore_ws)
secure_vector< uint8_t > | Botan::base64_decode (const char input[], size_t input_length, bool ignore_ws)
secure_vector< uint8_t > | Botan::base64_decode (const std::string &input, bool ignore_ws)
size_t | Botan::base64_decode_max_output (size_t input_length)
size_t | Botan::base64_encode (char out[], const uint8_t in[], size_t input_length, size_t &input_consumed, bool final_inputs)
template<typename Alloc >
std::string | Botan::base64_encode (const std::vector< uint8_t, Alloc > &input)
std::string | Botan::base64_encode (const uint8_t input[], size_t input_length)
size_t | Botan::base64_encode_max_output (size_t input_length)